@media (max-width: 1260px) {
    .slider_section .box {
        flex-direction: column;
    }

    .slider_section .box .detail-box h1 {
        flex-direction: row;
        flex-wrap: wrap;
        padding: 0 15px;
        text-align: center;
        justify-content: center;
    }

    .slider_section .box .detail-box h1 span {
    margin-right: 12px;
    margin-top: 12px;
    margin-bottom: 12px;
    margin-left: 12px;
    }

    .help_section .detail-box {
        padding: 0;
    }

    .slider_section .box .detail-box .btn-box {
        margin-top: 15px;
    }
}

@media (max-width: 1120px) {}

@media (max-width: 991px) {
    .hero_area {
        height: auto;
        background-size: cover;
        flex-direction: column;
    }

    .header_section {
        padding: 0 25px;

    }

    .slider_section .navbar-brand {
        display: none;
    }

    .header_section .navbar-brand {
        display: flex;
    }

    .custom_nav-container {
        flex-direction: row;
        justify-content: space-between;
    }

    .custom_nav-container .name_style {
        display: none;
    }

    .user_option {
        flex-direction: row;
    }

    .user_option .nav_search-btn {
        margin: 0;
        margin-right: 15px;
    }

    .custom_menu-btn button {
        margin: 15px 0;
    }

    .menu_btn-style {

        position: fixed;
        left: 22px;
        top: 4px;

    }

    .feature_section {
        flex-direction: column;
        padding-top: 45px;
    }

    .feature_section .carousel_btn-box {
        margin: 0;
    }

    .about_section .img-box .stripe_design {
        width: 15px;
    }

    .news_section .detail_container .detail-box {
        padding: 25px;
    }

    .news_section .img-box {
        margin: 0;
        margin-top: 45px;
    }

    .client_section .owl-carousel {
        padding: 0;
    }

    .client_section .owl-carousel .owl-nav button {
        position: unset;
        transform: none;
        margin: 0 10px;
    }

}

@media (max-width: 768px) {

    .about_section .detail-box,
    .help_section .detail-box,
    .contact_section .form_container {
        margin-bottom: 45px;
    }

    .info_section .row>div {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .info_section .row>div:not(:nth-last-child(1)) {
        margin-bottom: 45px;
    }

    .info_section .info_links {
        flex-direction: column;
        align-items: center;
    }

    .about_section .img-box .stripe_design {
        width: 25px;
    }
}

@media (max-width: 576px) {
    .about_section .img-box .stripe_design {
        width: 20px;
    }

    .news_section .detail_container .detail-box .news_social {
        padding: 15px 0;
    }
}

@media (max-width: 480px) {}

@media (max-width: 420px) {}

@media (max-width: 360px) {
    .about_section .img-box .stripe_design {
        width: 15px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1170px;
    }

}



/* برای موبایل (صفحه‌های کوچکتر از 600px) */
@media (max-width: 600px) {
  .feature-card {
    flex: 1 1 calc(33.33% - 10px); /* ۲ کارت در هر ردیف */
  }
}

@media (min-width:576px){
    .container {
      max-width: 540px; }}
  @media (min-width: 768px) {
    .container {
      max-width: 720px; } }
  @media (min-width: 992px) {
    .container {
      max-width: 960px; }
	  }
  @media (min-width: 1200px) {
    .container {
      max-width: 1140px; } }


/* رسپانسیو کردن دکمه */
@media (max-width: 400px) {
  .popup-button {
    width: 50%; /* در سایز کوچک‌تر، پهنای دکمه افزایش می‌یابد */
  }
}


/* ریسپانسیو برای صفحه‌های کوچک */
@media (max-width: 1252px) {
    .service-item {
    width: 15%; /* در صفحات با عرض کمتر از 480px، عرض آیتم‌ها به 100% تغییر می‌کند */
  }
}

@media (max-width: 1024px) and (min-width: 1252px){
    .service-item {
    width: 15%; /* در صفحات با عرض کمتر از 480px، عرض آیتم‌ها به 100% تغییر می‌کند */
  }
}

@media (max-width: 768px) {
.service-item {
    width: 20%; /* در صفحات با عرض کمتر از 480px، عرض آیتم‌ها به 100% تغییر می‌کند */
  }
    .slide-title {
        font-size: 1.5rem;
      }
}

@media (max-width: 480px) and (min-width: 320px){
  .service-item {
    width: 30%; /* در صفحات با عرض کمتر از 480px، عرض آیتم‌ها به 100% تغییر می‌کند */
  }
    .magazine-item{
        width:100%;
    }
    .slide-title {
        font-size: 1.2rem;
      }
}

/* در صفحات متوسط: 4 ستون */
@media  (min-width: 1440px) {
.service-item {
    height: 500px; /* در صفحات با عرض کمتر از 480px، عرض آیتم‌ها به 100% تغییر می‌کند */
  }
}

@media (max-width: 320px) {
    .service-item {
    width:100%;}
    .slide-title {
        font-size: 0.9rem;
      }
}



    /* برای صفحات کوچک‌تر */
    @media screen and (max-width: 768px) {
        .index0{
            display: none;
        }
      .magazine-card {
        width: 80%; /* در صفحات کوچکتر، کارت‌ها بزرگ‌تر می‌شوند */
      }
    }

    @media screen and (max-width: 480px) {
        footer{
            display: none;
        }

      .magazine-card {
        width: 100%; /* در صفحات خیلی کوچک، هر کارت به صورت تمام عرض نمایش داده می‌شود */
      }
    }



    /* Responsive Styles */
    @media screen and (max-width: 768px) {
      .header-top {
        display: none; /* در صفحات کوچک ردیف بالایی هدر پنهان می‌شود */
      }
      .hamburger {
        display: block; /* نمایش همبرگر در صفحات کوچک */
      }
      .header-bottom {
        justify-content: space-between;
      }
        .social-media{
            display: none;
        }
      }

@media (max-width: 270px) {
    .navbar{
        display: none;
    }
}
@media (max-width: 350px) {
    .logo{
        display: none;
    }
    
}


/* طراحی رسپانسیو برای صفحه‌های کوچکتر */
@media (max-width: 768px) {
  .image-text-section {
      width: 100%;
    flex-direction: column-reverse; /* ترتیب المان‌ها را برای صفحه‌های کوچکتر تغییر می‌دهد */
    align-items: center;
    text-align: center;
  }
    .header-title{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 16px;
    padding-left: 20px;
    padding-right: 20px;
    max-height: 100px;
    color: #ee3;
    max-width: 250px;
    flex-wrap: nowrap;
}
}